Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/441

  

Description

Here is a sample output of the hammer subscription list call

---|----------------------------------|-----------------------------------------------------------

------------|----------|---------|--------------|-----------|----------|--------------------------

----|-----------|---------

ID | UUID                             | NAME                                                      

            | CONTRACT | ACCOUNT | SUPPORT      | QUANTITY  | CONSUMED | END DATE                 

    | QUANTITY  | ATTACHED

---|----------------------------------|-----------------------------------------------------------

------------|----------|---------|--------------|-----------|----------|--------------------------

----|-----------|---------

16 | 8a888016563887f301564d058deb01dc | docker                                                    

            |          |         |              | Unlimited | 0        | 2046-07-26T20:50:24.654+0

000 | Unlimited | 0       

29 | 8a8880165676677b01567a404f3901bc | OpenShift Enterprise Premium, 2 Cores                     

            | 10299511 | 5705700 | Premium      | 2         | 1        | 2017-06-20T03:59:59.000+0

000 | 2         | 1       

28 | 8a8880165676677b01567a404f7601dc | Red Hat Enterprise Linux Server, Premium (8 sockets) (Up t

o 4 guests) | 10299414 | 5705700 | Premium      | 4         | 0        | 2017-06-20T03:59:59.000+0

000 | 4         | 0       

26 | 8a8880165676677b01567a404fab021c | Red Hat Enterprise Linux Server, Standard (Physical or Vir

tual Nodes) | 10299413 | 5705700 | Standard     | 200       | 0        | 2017-06-20T03:59:59.000+0

000 | 200       | 0       

 Note  -> Quantity,Consumed, Attached are duplicated and most likely details like Account number are not likely to be unique on a per

sub basis. No information about which one belongs to a hypervisor guest pool and which one does not. All this would be useful.

Associated revisions

Revision 81b732fe - 08/12/2016 03:07 PM - Partha Aji

Fixes #16080 - Improved subscription list call

Improved hammer subscription list call to now show a few things

a) Subscription Type

Physical

Virtual

Guest of <host>

b) Improved formatiing of End Date

c) Removed duplicated columns Quantity and Consumed

Revision f3e5a8d1 - 08/25/2016 09:36 AM - Zach Huntington-Meath

Merge pull request #441 from parthaa/subs

05/18/2024 1/2



Fixes #16080 - Improved subscription list call

History

#1 - 08/11/2016 09:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/hammer-cli-katello/pull/441 added

#2 - 08/24/2016 02:54 PM - Justin Sherrill

- translation missing: en.field_release set to 114

#3 - 08/24/2016 02:54 PM - Justin Sherrill

- Difficulty set to easy

#4 - 08/25/2016 10:02 AM - Partha Aji

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|81b732fe8e367833aae941c6195972dbad245fd7.
